# IMFDropCandidate Struct Reference
[MCFrame]

Inheritance diagram for IMFDropCandidate:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | GetData (IDType inFlavor, MFDragDropType inMoveOrCopy, void **outData)=0
virtual void MCCOMAPI | GetOrigin (void **outOrigin)=0
virtual void MCCOMAPI | GetOfferedFlavors (TMFDragFlavors &outFlavors)=0
virtual boolean MCCOMAPI | NeedToBeDropedOnTree (IDType inFlavor, MFDragDropType inMoveOrCopy)=0
virtual void MCCOMAPI | SetDropCandidateExtensionTabPart (IMFTabPart *tabPart)=0

## Detailed Description

IMFDropCandidate is the shell interface for a drop candiate (see IMFExDropCandidate for more informations on Drop Candidates).

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IMFDropCandidate::GetData | ( | IDType | inFlavor,
|  | MFDragDropType | inMoveOrCopy,
|  | void ** | outData |
| ) |  |  | `[pure virtual]`

Returns the data of the object in a given format.

Parameters:

  | inFlavor | The format of the data.
  | inMoveOrCopy | Specifies whether the data should be copied or moved.
  | outData | The data.

virtual void MCCOMAPI IMFDropCandidate::GetOfferedFlavors | ( | TMFDragFlavors & | outFlavors | ) | `[pure virtual]`

Returns the list of format in which the data can be converted.

Parameters:

  | outFlavors | The list of formats.

virtual void MCCOMAPI IMFDropCandidate::GetOrigin | ( | void ** | outOrigin | ) | `[pure virtual]`

Returns the origin (for example the scene for an instance) of the drop candidate for use in determining whether to move or copy the item (clients should check for non-NULL).

Parameters:

  | outOrigin | A pointer to the origin.

virtual boolean MCCOMAPI IMFDropCandidate::NeedToBeDropedOnTree | ( | IDType | inFlavor,
|  | MFDragDropType | inMoveOrCopy |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFDropCandidate::SetDropCandidateExtensionTabPart | ( | IMFTabPart * | tabPart | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFDragDrop.h